<!--docs:
title: "Theming Guide"
layout: landing
section: docs
path: /docs/theming-guide/
-->

# Theming Guide

[Material Theming](https://material.io/go/design-theming) is the ability to
systematically customize Material Design to better reflect your product's
brand.

Once you have updated your app theme to inherit from a Material 3 theme, as
discussed in the [Getting Started](getting-started.md) guide, you can start to
take advantage of the app-wide theming systems that are built into Material
Components for Android.

For information on the individual Material Theming systems, take a look at the
following guides:

*   [Color Theming](theming/Color.md)
*   [Typography Theming](theming/Typography.md)
*   [Shape Theming](theming/Shape.md)
*   [Motion Theming](theming/Motion.md)

Additionally, take a look at our [Dark Theme](theming/Dark.md) guide for
information on how to apply the
[Material dark theme system](https://material.io/design/color/dark-theme.html)
to your app.

## Useful Links

-   [Getting Started](getting-started.md)
-   [Contributing](contributing.md)
-   [Using Snapshot Version](using-snapshot-version.md)
-   [Building From Source](building-from-source.md)
-   [Catalog App](catalog-app.md)
-   [Class documentation](https://developer.android.com/reference/com/google/android/material/classes)
-   [MDC-Android on Stack Overflow](https://www.stackoverflow.com/questions/tagged/material-components+android)
-   [Android Developer’s Guide](https://developer.android.com/training/material/index.html)
-   [Material.io](https://www.material.io)
-   [Material Design Guidelines](https://material.google.com)
